=== debian/changelog ===
libmirage-types-ocaml (1.2.0-1) UNRELEASED; urgency=low

  * Update to 1.2.0

 -- David Scott <dave.scott@citrix.com>  Wed, 16 Jul 2014 12:00:00 +0000

libmirage-types-ocaml (1.1.1-1) UNRELEASED; urgency=low

  * Initial package

 -- Euan Harris <euan.harris@citrix.com>  Tue, 01 Apr 2014 12:00:00 +0000
