=== debian/control ===
Source: libmirage-types-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 libio-page-ocaml-dev,
 python,
 debhelper (>= 8),
 ocaml-findlib,
 ocaml-native-compilers,
 libounit-ocaml-dev,
 libipaddr-ocaml-dev,
 libcstruct-ocaml-dev,
 liblwt-ocaml-dev,
 libfindlib-ocaml-dev

Package: libmirage-types-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: MirageOS interfaces
 This library contains interfaces to build applications that are
 compatible with the Mirage operating system. It defines only
 interfaces, and no concrete modules.
 .
 See http://openmirage.org for more information.

Package: libmirage-types-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libmirage-types-ocaml (>= 1.2.0-1)
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-mirage-types
 The ocaml-mirage-types-devel package contains libraries and signature
 files for developing applications that use ocaml-mirage-types.
